//
//  ulibcamel.h
//  ulibcamel
//
//  Created by Andreas Fink on 27.09.18.
//  Copyright © 2017 Andreas Fink (andreas@fink.org). All rights reserved.
//

#import <ulibasn1/ulibasn1.h>
#import <ulibtcap/ulibtcap.h>
#import <ulibgsmmap/ulibgsmmap.h>

#import <ulibcamel/UMCamelObject.h>
#import <ulibcamel/UMCamelOperationCode.h>
#import <ulibcamel/UMCamelOperation.h>
#import <ulibcamel/UMCamelErrorCode.h>
#import <ulibcamel/UMCamelProviderProtocol.h>
#import <ulibcamel/UMCamelUserProtocol.h>
#import <ulibcamel/UMLayerCamel.h>
#import <ulibcamel/UMCamelDialogIdentifier.h>
#import <ulibcamel/UMCamelUserIdentifier.h>
#import <ulibcamel/UMCamelDialog.h>


#import <ulibcamel/UMCamel_SMS_AddressString.h>
#import <ulibcamel/UMCamelInvoke.h>
#import <ulibcamel/UMCamel_AOCBeforeAnswer.h>
#import <ulibcamel/UMCamel_AOCGprs.h>
#import <ulibcamel/UMCamel_AOCSubsequent.h>
#import <ulibcamel/UMCamel_ASN1_macros.h>
#import <ulibcamel/UMCamel_AccessPointName.h>
#import <ulibcamel/UMCamel_AdditionalCallingPartyNumber.h>
#import <ulibcamel/UMCamel_AppendFreeFormatData.h>
#import <ulibcamel/UMCamel_ApplicationTimer.h>
#import <ulibcamel/UMCamel_AudibleIndicator.h>
#import <ulibcamel/UMCamel_BearerCap.h>
#import <ulibcamel/UMCamel_BearerCapability.h>
#import <ulibcamel/UMCamel_Burst.h>
#import <ulibcamel/UMCamel_BurstList.h>
#import <ulibcamel/UMCamel_CAI_Gsm0224.h>
#import <ulibcamel/UMCamel_CAMEL_CallResult.h>
#import <ulibcamel/UMCamel_CAMEL_FCIBillingChargingCharacteristics.h>
#import <ulibcamel/UMCamel_CAMEL_FCIGPRSBillingChargingCharacteristics.h>
#import <ulibcamel/UMCamel_CAMEL_FCISMSBillingChargingCharacteristics.h>
#import <ulibcamel/UMCamel_CAMEL_SCIBillingChargingCharacteristics.h>
#import <ulibcamel/UMCamel_CAMEL_SCIBillingChargingCharacteristicsAlt.h>
#import <ulibcamel/UMCamel_CAMEL_SCIGPRSBillingChargingCharacteristics.h>
#import <ulibcamel/UMCamel_CAPGPRSReferenceNumber.h>
#import <ulibcamel/UMCamel_CGEncountered.h>
#import <ulibcamel/UMCamel_CUG_Index.h>
#import <ulibcamel/UMCamel_CallReferenceNumber.h>
#import <ulibcamel/UMCamel_CalledPartyBCDNumber.h>
#import <ulibcamel/UMCamel_CalledPartyNumber.h>
#import <ulibcamel/UMCamel_CancelArg.h>
#import <ulibcamel/UMCamel_CancelFailedPARAM.h>
#import <ulibcamel/UMCamel_CancelGPRSArg.h>
#import <ulibcamel/UMCamel_Cause.h>
#import <ulibcamel/UMCamel_CellGlobalIdOrServiceAreaIdOrLAI.h>
#import <ulibcamel/UMCamel_Code.h>
#import <ulibcamel/UMCamel_CollectInformationArg.h>
#import <ulibcamel/UMCamel_CollectedDigits.h>
#import <ulibcamel/UMCamel_CollectedInfo.h>
#import <ulibcamel/UMCamel_CompoundCriteria.h>
#import <ulibcamel/UMCamel_ConnectGPRSArg.h>
#import <ulibcamel/UMCamel_ConnectSMSArg.h>
#import <ulibcamel/UMCamel_ConnectedNumberTreatmentInd.h>
#import <ulibcamel/UMCamel_ContinueGPRSArg.h>
#import <ulibcamel/UMCamel_ContinueWithArgumentArgExtension.h>
#import <ulibcamel/UMCamel_CriticalityType.h>
#import <ulibcamel/UMCamel_DateAndTime.h>
#import <ulibcamel/UMCamel_DisconnectForwardConnectionWithArgumentArg.h>
#import <ulibcamel/UMCamel_DisconnectLegArg.h>
#import <ulibcamel/UMCamel_DpSpecificCriteria.h>
#import <ulibcamel/UMCamel_DpSpecificCriteriaAlt.h>
#import <ulibcamel/UMCamel_DpSpecificInfoAlt.h>
#import <ulibcamel/UMCamel_Duration.h>
#import <ulibcamel/UMCamel_ElapsedTime.h>
#import <ulibcamel/UMCamel_ElapsedTimeRollOver.h>
#import <ulibcamel/UMCamel_EndUserAddress.h>
#import <ulibcamel/UMCamel_EntityReleasedArg.h>
#import <ulibcamel/UMCamel_EntityReleasedGPRSArg.h>
#import <ulibcamel/UMCamel_ErrorTreatment.h>
#import <ulibcamel/UMCamel_EventTypeBCSM.h>
#import <ulibcamel/UMCamel_EventTypeSMS.h>
#import <ulibcamel/UMCamel_Ext_BasicServiceCode.h>
#import <ulibcamel/UMCamel_FreeFormatData.h>
#import <ulibcamel/UMCamel_GPRSMSClass.h>
#import <ulibcamel/UMCamel_HighLayerCompatibility.h>
#import <ulibcamel/UMCamel_IMEI.h>
#import <ulibcamel/UMCamel_IMSI.h>
#import <ulibcamel/UMCamel_ISDN_AddressString.h>
#import <ulibcamel/UMCamel_InitialDPArg.h>
#import <ulibcamel/UMCamel_InitialDPArgExtension.h>
#import <ulibcamel/UMCamel_InitialDPSMSArg.h>
#import <ulibcamel/UMCamel_Integer4.h>
#import <ulibcamel/UMCamel_InvokeID.h>
#import <ulibcamel/UMCamel_LocationInformation.h>
#import <ulibcamel/UMCamel_LocationInformationGPRS.h>
#import <ulibcamel/UMCamel_LocationNumber.h>
#import <ulibcamel/UMCamel_MS_Classmark2.h>
#import <ulibcamel/UMCamel_RPCause.h>
#import <ulibcamel/UMCamel_RequestReportBCSMEventArg.h>
#import <ulibcamel/UMCamel_RequestReportGPRSEventArg.h>
#import <ulibcamel/UMCamel_RequestReportSMSEventArg.h>
#import <ulibcamel/UMCamel_RequestedInfoErrorPARAM.h>
#import <ulibcamel/UMCamel_RequestedInformation.h>
#import <ulibcamel/UMCamel_RequestedInformationList.h>
#import <ulibcamel/UMCamel_RequestedInformationType.h>
#import <ulibcamel/UMCamel_RequestedInformationValue.h>
#import <ulibcamel/UMCamel_ResetTimerArg.h>
#import <ulibcamel/UMCamel_ResetTimerGPRSArg.h>
#import <ulibcamel/UMCamel_ResetTimerSMSArg.h>
#import <ulibcamel/UMCamel_SCIBillingChargingCharacteristics.h>
#import <ulibcamel/UMCamel_SCIGPRSBillingChargingCharacteristics.h>
#import <ulibcamel/UMCamel_SGSNCapabilities.h>
#import <ulibcamel/UMCamel_SMSEvent.h>
#import <ulibcamel/UMCamel_SMSEventArray.h>
#import <ulibcamel/UMCamel_SendChargingInformationArg.h>
#import <ulibcamel/UMCamel_SendChargingInformationGPRSArg.h>
#import <ulibcamel/UMCamel_ServiceKey.h>
#import <ulibcamel/UMCamel_SpecializedResourceReportArg.h>
#import <ulibcamel/UMCamel_SplitLegArg.h>
#import <ulibcamel/UMCamel_SubscriberState.h>
#import <ulibcamel/UMCamel_SupportedCamelPhases.h>
#import <ulibcamel/UMCamel_SupportedExtensionsExtensionType.h>
#import <ulibcamel/UMCamel_SupportedExtensionsid.h>
#import <ulibcamel/UMCamel_SystemFailurePARAM.h>
#import <ulibcamel/UMCamel_TPDataCodingScheme.h>
#import <ulibcamel/UMCamel_TPProtocolIdentifier.h>
#import <ulibcamel/UMCamel_TPShortMessageSpecificInfo.h>
#import <ulibcamel/UMCamel_TPValidityPeriod.h>
#import <ulibcamel/UMCamel_TimeAndTimezone.h>
#import <ulibcamel/UMCamel_TimeDurationChargingResult.h>
#import <ulibcamel/UMCamel_TimeIfNoTariffSwitch.h>
#import <ulibcamel/UMCamel_TimeIfTariffSwitch.h>
#import <ulibcamel/UMCamel_TimeInformation.h>
#import <ulibcamel/UMCamel_TimerID.h>
#import <ulibcamel/UMCamel_TimerValue.h>
#import <ulibcamel/UMCamel_TransferredVolume.h>
#import <ulibcamel/UMCamel_TransferredVolumeRollOver.h>
#import <ulibcamel/UMCamel_UnavailableNetworkResource.h>
#import <ulibcamel/UMCamel_VariablePart.h>
#import <ulibcamel/UMCamel_VariablePartsArray.h>
#import <ulibcamel/UMCamel_CallSegmentFailure.h>
#import <ulibcamel/UMCamel_ChangeOfLocationAlt.h>
#import <ulibcamel/UMCamel_CallSegmentToCancel.h>
#import <ulibcamel/UMCamel_ChangeOfLocation.h>
#import <ulibcamel/UMCamel_ChangeOfPositionControlInfo.h>
#import <ulibcamel/UMCamel_CAMEL_AChBillingChargingCharacteristics.h>
